var _jsxFileName = "/home/builduser/work/57e038ea7326c1ec/packages/wix-design-system/dist/esm/DatePicker/test/DatePicker.legacy.spec.jsx",
  _this = this;
import React from 'react';
import datePickerDriverFactory from '../DatePicker.driver';
import { render as renderLegacy, waitFor } from '@testing-library/react';
import DatePicker from '../DatePicker';
import { act } from '../../utils/test-utils/react';
describe('DatePicker legacy testkit', function () {
  var setup = function setup() {
    var DATA_HOOK = 'testing';
    var _renderLegacy = renderLegacy(/*#__PURE__*/React.createElement(DatePicker, {
        onChange: vi.fn(),
        dataHook: DATA_HOOK,
        __self: _this,
        __source: {
          fileName: _jsxFileName,
          lineNumber: 12,
          columnNumber: 7
        }
      })),
      baseElement = _renderLegacy.baseElement;
    return datePickerDriverFactory({
      element: baseElement,
      dataHook: DATA_HOOK
    });
  };
  it('should pass', function () {
    var _setup = setup(),
      driver = _setup.driver,
      calendarDriver = _setup.calendarDriver;
    expect(driver.exists()).toBeTruthy();
    expect(calendarDriver.exists()).toBe(false);
    act(function () {
      driver.open();
    });
    expect(calendarDriver.exists()).toBe(true);
    act(function () {
      driver.clickOutside();
    });
    waitFor(function () {
      expect(calendarDriver.exists()).toBe(false);
    });
  });
});